Makes a user a member of a private incident
cURL
curl --request POST \ --url https://api.incident.io/v1/incident_memberships \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "incident_id": "01ET65M7ZADYFCKD4K1AE2QNMC", "user_id": "01FCQSP07Z74QMMYPDDGQB9FTG" } '
{ "incident_membership": { "created_at": "2021-08-17T13:28:57.801578Z", "id": "01FCNDV6P870EA6S7TK1DSYD5H", "incident_id": "01FCNDV6P870EA6S7TK1DSYD5H", "updated_at": "2021-08-17T13:28:57.801578Z", "user": { "email": "lisa@incident.io", "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "Lisa Karlin Curtis", "role": "viewer", "slack_user_id": "U02AYNF2XJM" } } }
API key from your incident.io dashboard (Settings → API keys)
"01ET65M7ZADYFCKD4K1AE2QNMC"
"01FCQSP07Z74QMMYPDDGQB9FTG"
Created response.
Show child attributes
Was this page helpful?
Contact support